---
updatedAt: 2026-07-30T22:32:10.000Z
---

# Create Booking (New)

Call this endpoint to confirm and accept the estimated carrier shipping charges when participating in the WFS Preferred Carrier Program such as FedEx Parcel, Less Than Truckload (LTL), or Full Truckload (FTL) for inbound inventory shipments to Walmart fulfillment centers.

> **Note**: This page shows examples using only the required parameters and inputs for creating a new booking. For a full list of customization options and additional capabilities, refer to the [Marketplace Fulfillment API Reference](/us-marketplace/reference/submitbookingquotes).

# Endpoint

```Text bash
POST https://marketplace.walmartapis.com/v3/fulfillment/inbound-shipments-booking
```

# Parcel quote type

This section demonstrates how to create a new booking for Parcel shipments.

## Sample request

This sample request creates a new booking for an inbound shipment on Walmart Marketplace for `"Parcel"` `quoteType`.

```Text cURL
curl --request POST \
     --url https://marketplace.walmartapis.com/v3/fulfillment/inbound-shipments-booking \
--header 'WM_GLOBAL_VERSION: 3.1' \
--header 'WM_MARKET: US' \
--header 'WM_QOS.CORRELATION_ID: Correlation_ID' \
--header 'WM_SEC.ACCESS_TOKEN: Access_Token' \
--header 'WM_SVC.NAME: Walmart Service Name' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
    "payload": {
        "shipmentId": "0729156WFA",
        "bookingDetails": {
            "termsAcceptedTime": "2024-03-08T16:08:46.314Z",
            "quoteType": "PARCEL",
            "quoteId": "313dfsd",
            "unitDetails": [
                {
                    "noOfSingleSkuBoxes": 1,
                    "noOfMixedSkuBoxes": 1
                }
            ]
        }
    }
}'
```
```Text Python
import requests
import json

url = 'https://marketplace.walmartapis.com/v3/fulfillment/inbound-shipments-booking'

headers = {
    "WM_GLOBAL_VERSION": "3.1",
    "WM_MARKET": "US",
    "WM_QOS.CORRELATION_ID": "Correlation_ID",
    "WM_SEC.ACCESS_TOKEN": "Access_Token",
    "WM_SVC.NAME": "Walmart Service Name",
		"accept": "application/json",
    "content-type": "application/json",
}

payload = {
    "payload": {
        "shipmentId": "0729156WFA",
        "bookingDetails": {
            "termsAcceptedTime": "2024-03-08T16:08:46.314Z",
            "quoteType": "PARCEL",
            "quoteId": "313dfsd",
            "unitDetails": [
                {
                    "noOfSingleSkuBoxes": 1,
                    "noOfMixedSkuBoxes": 1
                }
            ]
        }
    }
}

response = requests.post(url, headers=headers, data=json.dumps(payload))

print(response.status_code)
print(response.json())

```

### Modify your code

* `Authorization` - Replace with your actual Base64-encoded credentials.
* `WM_QOS.CORRELATION_ID` - Use a unique correlation UUID to track the request.
* `WM_SEC.ACCESS_TOKEN` - Replace with your valid access token obtained through authentication.

## Sample response

This sample response indicates the create booking request was successful; the `OK` status confirms that the booking was created.

```Text JSON
{
  "status": "OK"
}
```

# Less Than Truckload (LTL) quote type

This section demonstrates how to create a new booking for Less Than Truckload (LTL) shipments.

## Sample request

This sample request creates a new booking for an inbound shipment on Walmart Marketplace for `"LTL"` `quoteType`.

```Text cURL
curl --request POST \
     --url https://marketplace.walmartapis.com/v3/fulfillment/inbound-shipments-booking \
     --header 'WM_GLOBAL_VERSION: 3.1' \
     --header 'WM_MARKET: US' \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --data '
{
  "payload": {
    "shipmentId": "4090515WFA",
    "bookingDetails": {
      "termsAcceptedTime": "2024-12-16T12:22:18-07:00",
      "quoteId": "1450385158183063552",
      "quoteType": "LTL",
      "pickupDetails": {
        "businessLocationName": "TOP VALUE BRANDS ",
        "pickupInstruction": "testing",
        "pickupDateInfo": [
          {
            "pickupDate": "2025-12-18",
            "readyTime": "08:00:00",
            "closeTime": "17:00:00",
            "priority": 1
          },
          {
            "pickupDate": "2025-12-19",
            "readyTime": "08:00:00",
            "closeTime": "17:00:00",
            "priority": 2
          },
          {
            "pickupDate": "2025-12-22",
            "readyTime": "08:00:00",
            "closeTime": "17:00:00",
            "priority": 3
          },
          {
            "pickupDate": "2025-12-23",
            "readyTime": "08:00:00",
            "closeTime": "17:00:00",
            "priority": 4
          }
        ]
      },
      "shipperInfo": {
        "contactInfo": {
          "primaryContactPhoneNumber": "1895405102",
          "primaryContactEmailAddress": "sandeep.r@walmart.com"
        },
        "name": "A P",
        "firstName": "A",
        "lastName": "P",
        "requesterType": "IWFS"
      },
      "locations": {
        "origin": {
          "locationType": "VNDR",
          "addressLine1": "3100 E Frontera St,",
          "addressLine2": "",
          "city": "Anaheim",
          "state": "CA",
          "countryCode": "US",
          "postalCode": "92806",
          "locationName": "test1",
          "operationHours": [
            {
              "dayOfWeekCode": 1,
              "operationType": "OPR",
              "openStrTime": "08:00:00",
              "closeStrTime": "17:00:00"
            },
            {
              "dayOfWeekCode": 2,
              "operationType": "OPR",
              "openStrTime": "08:00:00",
              "closeStrTime": "17:00:00"
            },
            {
              "dayOfWeekCode": 3,
              "operationType": "OPR",
              "openStrTime": "08:00:00",
              "closeStrTime": "17:00:00"
            }
          ]
        },
        "destination": {
          "locationType": "DC",
          "addressLine1": "30801 W 500 N",
          "addressLine2": "",
          "city": "Edgerton",
          "state": "KS",
          "countryCode": "US",
          "postalCode": "66021",
          "locationName": ""
        }
      },
      "unitDetails": [
        {
          "declaredValue": 0,
          "totalPalletCount": 2,
          "noOfSingleSkuBoxes": 2,
          "noOfMixedSkuBoxes": 2,
          "shipmentPackages": [
            {
              "isStackable": true,
              "width": 40,
              "length": 48,
              "weightUOM": "LB",
              "lengthUOM": "IN",
              "packageType": "PALLET",
              "height": 40,
              "packageSequenceNumber": 1,
              "noOfPackages": 1,
              "weight": 150
            }
          ]
        }
      ]
    }
  }
}
'
```
```Text Python
import requests

url = "https://marketplace.walmartapis.com/v3/fulfillment/inbound-shipments-booking"
headers = {
    "WM_GLOBAL_VERSION": "3.1",
    "WM_MARKET": "US",
    "Content-Type": "application/json",
    "Accept": "application/json",
}

body = {
    "payload": {
        "shipmentId": "4090515WFA",
        "bookingDetails": {
            "termsAcceptedTime": "2024-12-16T12:22:18-07:00",
            "quoteId": "1450385158183063552",
            "quoteType": "LTL",
            "pickupDetails": {
                "businessLocationName": "TOP VALUE BRANDS ",
                "pickupInstruction": "testing",
                "pickupDateInfo": [
                    {"pickupDate": "2025-12-18", "readyTime": "08:00:00", "closeTime": "17:00:00", "priority": 1},
                    {"pickupDate": "2025-12-19", "readyTime": "08:00:00", "closeTime": "17:00:00", "priority": 2},
                    {"pickupDate": "2025-12-22", "readyTime": "08:00:00", "closeTime": "17:00:00", "priority": 3},
                    {"pickupDate": "2025-12-23", "readyTime": "08:00:00", "closeTime": "17:00:00", "priority": 4},
                ],
            },
            "shipperInfo": {
                "contactInfo": {
                    "primaryContactPhoneNumber": "1895405102",
                    "primaryContactEmailAddress": "sandeep.r@walmart.com",
                },
                "name": "A P",
                "firstName": "A",
                "lastName": "P",
                "requesterType": "IWFS",
            },
            "locations": {
                "origin": {
                    "locationType": "VNDR",
                    "addressLine1": "3100 E Frontera St,",
                    "addressLine2": "",
                    "city": "Anaheim",
                    "state": "CA",
                    "countryCode": "US",
                    "postalCode": "92806",
                    "locationName": "test1",
                    "operationHours": [
                        {"dayOfWeekCode": 1, "operationType": "OPR", "openStrTime": "08:00:00", "closeStrTime": "17:00:00"},
                        {"dayOfWeekCode": 2, "operationType": "OPR", "openStrTime": "08:00:00", "closeStrTime": "17:00:00"},
                        {"dayOfWeekCode": 3, "operationType": "OPR", "openStrTime": "08:00:00", "closeStrTime": "17:00:00"},
                    ],
                },
                "destination": {
                    "locationType": "DC",
                    "addressLine1": "30801 W 500 N",
                    "addressLine2": "",
                    "city": "Edgerton",
                    "state": "KS",
                    "countryCode": "US",
                    "postalCode": "66021",
                    "locationName": "",
                },
            },
            "unitDetails": [
                {
                    "declaredValue": 0,
                    "totalPalletCount": 2,
                    "noOfSingleSkuBoxes": 2,
                    "noOfMixedSkuBoxes": 2,
                    "shipmentPackages": [
                        {
                            "isStackable": True,
                            "width": 40,
                            "length": 48,
                            "weightUOM": "LB",
                            "lengthUOM": "IN",
                            "packageType": "PALLET",
                            "height": 40,
                            "packageSequenceNumber": 1,
                            "noOfPackages": 1,
                            "weight": 150,
                        }
                    ],
                }
            ],
        },
    }
}

response = requests.post(url, headers=headers, json=body, timeout=30)
response.raise_for_status()
print(response.json())
```

### Modify your code

* Authorization - Replace with your actual Base64-encoded credentials.
* `WM_QOS.CORRELATION_ID` - Use a unique correlation UUID to track the request.
* `WM_SEC.ACCESS_TOKEN` - Replace with your valid access token obtained through authentication.

## Sample response

This sample response indicates the create booking request was successful; the `OK` status confirms that the booking was created.

```Text JSON
{
  "status": "OK"
}
```

# Full Truckload (FTL) quote type

This section demonstrates how to create a new booking for Full Truckload (FTL) shipments.

## Sample request

This sample request creates a new booking for an inbound shipment on Walmart Marketplace for `"FTL"` `quoteType`.

```Text cURL
curl --request POST \
     --url https://marketplace.walmartapis.com/v3/fulfillment/inbound-shipments-booking \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --data '
{
  "payload": {
    "shipmentId": "0800803GDM",
    "locationId": "6589018",
    "bookingDetails": {
      "quoteType": "FTL",
      "quoteId": "WHJJJZSP_01",
      "termsAcceptedTime": "2025-09-02T00:00:00.000Z",
      "pickupDetails": {
        "businessLocationName": "",
        "pickUpWindow": "Morning 8 AM to 12 PM",
        "pickUpInstruction": "CALL 12345"
      },
      "shipperInfo": {
        "contactInfo": {
          "primaryContactPhoneNumber": "1127472761",
          "primaryContactEmailAddress": "abc@walmart.com"
        },
        "name": "TEEQ QQQ",
        "firstName": "TEEQ",
        "lastName": "QQQ",
        "requesterType": "IWFS"
      },
      "schedule": {
        "minPickupTs": "2025-09-16T12:00:00.000+00:00",
        "maxPickupTs": "2025-09-16T12:00:00.000+00:00",
        "minDueTs": "2025-09-21T12:00:00.000+00:00",
        "maxDueTs": "2025-09-21T12:00:00.000+00:00"
      },
      "locations": {
        "origin": {
          "locationType": "VNDR",
          "addressLine1": "3595 GRANADA AVE",
          "addressLine2": "",
          "city": "SANTA",
          "state": "CA",
          "countryCode": "US",
          "postalCode": "95051",
          "locationName": "test ",
          "operationHours": [
            {
              "openStrTime": "08:00:00",
              "closeStrTime": "17:00:00",
              "dayOfWeekCode": 0,
              "operationType": "OPR"
            },
            {
              "openStrTime": "08:00:00",
              "closeStrTime": "17:00:00",
              "dayOfWeekCode": 1,
              "operationType": "OPR"
            },
            {
              "openStrTime": "08:00:00",
              "closeStrTime": "17:00:00",
              "dayOfWeekCode": 2,
              "operationType": "OPR"
            }
          ]
        },
        "destination": {
          "locationType": "DC",
          "addressLine1": "3215 Commerce Center Blvd",
          "addressLine2": "",
          "city": "Bethlehem",
          "state": "PATN",
          "countryCode": "US",
          "postalCode": "37090",
          "locationName": ""
        }
      },
      "unitDetails": [
        {
          "equipmentCode": "VAN53",
          "equipmentType": "DRYV",
          "length": 53,
          "protectionLevel": "DRY",
          "declaredValue": 4026,
          "noOfSingleSkuBoxes": 22,
          "noOfMixedSkuBoxes": 22,
          "shipmentPackages": [
            {
              "isStackable": true,
              "width": 40,
              "length": 48,
              "weightUOM": "LB",
              "lengthUOM": "IN",
              "packageType": "PALLET",
              "height": 22,
              "noOfPackages": 22,
              "weight": 122
            }
          ]
        }
      ]
    }
  }
}
'
```
```Text Python
import requests

url = "https://marketplace.walmartapis.com/v3/fulfillment/inbound-shipments-booking"

headers = {
    "WM_GLOBAL_VERSION": "3.1",
    "WM_MARKET": "US",
    "WM_QOS.CORRELATION_ID": "Correlation_ID",
    "WM_SEC.ACCESS_TOKEN": "Access_Token",
    "WM_SVC.NAME": "Walmart Service Name",
		"accept": "application/json",
    "content-type": "application/json",
}

json_data = {
    "payload": {
        "shipmentId": "0800803GDM",
        "locationId": "6589018",
        "bookingDetails": {
            "quoteType": "FTL",
            "quoteId": "WHJJJZSP_01",
            "termsAcceptedTime": "2025-09-02T00:00:00.000Z",
            "pickupDetails": {
                "businessLocationName": "",
                "pickUpWindow": "Morning 8 AM to 12 PM",
                "pickUpInstruction": "CALL 12345"
            },
            "shipperInfo": {
                "contactInfo": {
                    "primaryContactPhoneNumber": "1127472761",
                    "primaryContactEmailAddress": "abc@walmart.com"
                },
                "name": "TEEQ QQQ",
                "firstName": "TEEQ",
                "lastName": "QQQ",
                "requesterType": "IWFS"
            },
            "schedule": {
                "minPickupTs": "2025-09-16T12:00:00.000+00:00",
                "maxPickupTs": "2025-09-16T12:00:00.000+00:00",
                "minDueTs": "2025-09-21T12:00:00.000+00:00",
                "maxDueTs": "2025-09-21T12:00:00.000+00:00"
            },
            "locations": {
                "origin": {
                    "locationType": "VNDR",
                    "addressLine1": "3595 GRANADA AVE",
                    "addressLine2": "",
                    "city": "SANTA",
                    "state": "CA",
                    "countryCode": "US",
                    "postalCode": "95051",
                    "locationName": "test ",
                    "operationHours": [
                        {
                            "openStrTime": "08:00:00",
                            "closeStrTime": "17:00:00",
                            "dayOfWeekCode": 0,
                            "operationType": "OPR"
                        },
                        {
                            "openStrTime": "08:00:00",
                            "closeStrTime": "17:00:00",
                            "dayOfWeekCode": 1,
                            "operationType": "OPR"
                        },
                        {
                            "openStrTime": "08:00:00",
                            "closeStrTime": "17:00:00",
                            "dayOfWeekCode": 2,

```

### Modify your code

* Authorization - Replace with your actual Base64-encoded credentials.
* `WM_QOS.CORRELATION_ID` - Use a unique correlation UUID to track the request.
* `WM_SEC.ACCESS_TOKEN` - Replace with your valid access token obtained through authentication.

## Sample response

This sample response indicates the create booking request was successful; the `OK` status confirms that the booking was created.

```Text JSON
{
  "status": "OK"
}
```

# Result

If the request is successful, the response returns a `200 OK` status.